Subject: Re: bug#64188: [PATCH 0/8] More package tuning

From: Ludovic Courtès <[email-masked]>
Date: Mon, 07 Aug 2023 09:33:10 +0200

Hi,

Efraim Flashner <[email-masked]> skribis:

>> Not a valid argument! :-)  We can discuss the implementation on IRC if
>> you want.  It might be that we can slightly generalize ‘tuning-compiler’
>> so that it works for go (perhaps there’s an option like ‘-march’ that we
>> could use instead of setting ‘GOAMD’?).
>
> I found -goarch, but it's for cross-compiling and wouldn't take
> x86_64-v3 as an input.
>
> The attached diff has 2 parts, the first wraps the go binary (and only
> the go binary) with GOAMD or the like. The second part is commented out,
> but is how I would've fixed the extra 'set-microarchitecture phase.

At first sight it seems to me like it’s going in the right direction.

Perhaps we should create a separate ‘tuning-go-compiler’ for clarity,
and arrange to factorize ‘search-next’ between the two.

Let me know what you think!

Thanks,
Ludo’.